# Makefile.in generated by automake 1.6.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# $Id: Makefile.am,v 1.74 2002/10/07 05:43:06 mrsam Exp $
#
# Copyright 1998 - 2000 Double Precision, Inc.  See COPYING for
# distribution information.
SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local/share/sqwebmail
exec_prefix = /usr/local/share/sqwebmail

bindir = /usr/local/share/sqwebmail/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = /usr/local/share/sqwebmail/share
sysconfdir = /usr/local/share/sqwebmail
sharedstatedir = ${prefix}/com
localstatedir = /usr/local/share/sqwebmail/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/sqwebmail
pkglibdir = $(libdir)/sqwebmail
pkgincludedir = $(includedir)/sqwebmail
top_builddir = .

ACLOCAL = ${SHELL} /home/ovh/src/sqwebmail-3.5.1.20030319/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /home/ovh/src/sqwebmail-3.5.1.20030319/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ovh/src/sqwebmail-3.5.1.20030319/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL} -m 0755
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :

AUTOMAKE = srcdir=${srcdir} /bin/sh ${srcdir}/../automake.fix ${SHELL} /home/ovh/src/sqwebmail-3.5.1.20030319/missing --run automake-1.6
AMTAR = ${SHELL} /home/ovh/src/sqwebmail-3.5.1.20030319/missing --run tar
AWK = gawk
CC = gcc
DEPDIR = .deps
GZIP = /usr/bin/gzip
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBDB = 
LIBGDBM = -lgdbm
LIBVCHKPW = -lcrypt -L/home/vpopmail/lib -lvpopmail -lm
MAXMSGSIZE = 2097152
NETLIBS = 
PACKAGE = sqwebmail
PERL = /usr/bin/perl
RANLIB = ranlib
STRIP = 
TIMEOUTHARD = 7200
VERSION = 3.5.1
am__include = include
am__quote = 
cachedir = /var/cache/sqwebmail
cacheowner = bin
dblibrary = ../gdbmobj/libgdbmobj.a
htmldir = /usr/local/share/sqwebmail/html
imageurl = /webmail
install_sh = /home/ovh/src/sqwebmail-3.5.1.20030319/install-sh
ispell = /usr/bin/ispell
mailer = /usr/sbin/sendmail -oi -t

scriptdir = /usr/local/share/sqwebmail
sendmail = /usr/sbin/sendmail

CLEANFILES = htmllibdir.h ldapsearch webgpg ldapaddressbook.dist \
	cron.cmd sqwebmail.msg

DISTCLEANFILES = webmail.authpam

SUBDIRS = images html
script_SCRIPTS = sendit.sh cleancache.pl ldapsearch webgpg
sysconf_DATA = ldapaddressbook.dist
pkglibexecdir = $(libexecdir)/sqwebmail

noinst_DATA = SECURITY BUGS TODO SECURITY.html BUGS.html TODO.html


#
#  Because cgibindir is not based on prefix, we must conditionally install
#  bin_PROGRAMS in install-exec-local, otherwise make distcheck will fail.
#
noinst_PROGRAMS = sqwebmail

COMMONDEPENDENCIES = $(LIBOBJS) ../pcp/libpcp.a ../maildir/libmaildir.a \
	../rfc2045/librfc2045.a ../rfc822/librfc822.a \
	../http11/libhttp11.a ../cgi/libcgi.a \
	../authlib/libauth.a \
	../ldapaddressbook/libaddressbook.a \
	../gpglib/libgpg.a \
	../unicode/libunicode.a \
	../random128/librandom128.a ../md5/libmd5.a ../numlib/libnumlib.a \
	../gdbmobj/libgdbmobj.a

COMMONLDADD = $(COMMONDEPENDENCIES) `cat ../authlib/libauth.dep` `cat ../pcp/pcp.libs`  -lgdbm

sqwebmail_LDADD = $(COMMONLDADD) -lcrypt -L/home/vpopmail/lib -lvpopmail -lm 
sqwebmail_DEPENDENCIES = $(COMMONDEPENDENCIES)

ISPELLSOURCES = sqispell.c ispell.c ispell.h

BUILT_SOURCES = htmllibdir.h

EXTRA_DIST = $(noinst_DATA) sqwebmail.pamconf sqwebmail-system-auth.pamconf\
           strdup.c strcasecmp.c strncasecmp.c \
           $(ISPELLSOURCES)



#CFLAGS += -Dmalloc=my_malloc -Drealloc=my_realloc -Dfree=my_free -Dstrdup=my_strdup -Dcalloc=my_calloc
SQISPELLSOURCES = $(ISPELLSOURCES)

sqwebmail_SOURCES = addressbook.c addressbook.h args.c attachments.c \
		auth.c auth.h autoresponse.c autoresponse.h buf.c buf.h \
		filter.c filter.h folder.c folder.h gpg.c gpg.h html.c html.h \
		ldaplist.c maildir.c maildir.h mailfilter.c mailfilter.h \
		mailinglist.c mailinglist.h newmsg.c newmsg.h newmsg_create.c \
		newmsg_newdraft.c pcp.c pcp.h pref.c pref.h rfc2646html.c \
		rfc2646html.h sqconfig.c sqconfig.h sqwebmail.c sqwebmail.h \
		token.c token.h $(SQISPELLSOURCES)


HTML2TXT = `which lynx 2>/dev/null && echo "lynx -dump -nolist" && exit; echo "links -dump"`
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = sendit.sh cleancache.pl
noinst_PROGRAMS = sqwebmail$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

am__objects_1 = sqispell.$(OBJEXT) ispell.$(OBJEXT)
am__objects_2 = $(am__objects_1)
am_sqwebmail_OBJECTS = addressbook.$(OBJEXT) args.$(OBJEXT) \
	attachments.$(OBJEXT) auth.$(OBJEXT) autoresponse.$(OBJEXT) \
	buf.$(OBJEXT) filter.$(OBJEXT) folder.$(OBJEXT) gpg.$(OBJEXT) \
	html.$(OBJEXT) ldaplist.$(OBJEXT) maildir.$(OBJEXT) \
	mailfilter.$(OBJEXT) mailinglist.$(OBJEXT) newmsg.$(OBJEXT) \
	newmsg_create.$(OBJEXT) newmsg_newdraft.$(OBJEXT) pcp.$(OBJEXT) \
	pref.$(OBJEXT) rfc2646html.$(OBJEXT) sqconfig.$(OBJEXT) \
	sqwebmail.$(OBJEXT) token.$(OBJEXT) $(am__objects_2)
sqwebmail_OBJECTS = $(am_sqwebmail_OBJECTS)
sqwebmail_LDFLAGS =
SCRIPTS = $(script_SCRIPTS)


DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = -lcrypt 
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/addressbook.Po ./$(DEPDIR)/args.Po \
	./$(DEPDIR)/attachments.Po ./$(DEPDIR)/auth.Po \
	./$(DEPDIR)/autoresponse.Po ./$(DEPDIR)/buf.Po \
	./$(DEPDIR)/filter.Po ./$(DEPDIR)/folder.Po \
	./$(DEPDIR)/gpg.Po ./$(DEPDIR)/html.Po \
	./$(DEPDIR)/ispell.Po ./$(DEPDIR)/ldaplist.Po \
	./$(DEPDIR)/maildir.Po ./$(DEPDIR)/mailfilter.Po \
	./$(DEPDIR)/mailinglist.Po ./$(DEPDIR)/newmsg.Po \
	./$(DEPDIR)/newmsg_create.Po \
	./$(DEPDIR)/newmsg_newdraft.Po ./$(DEPDIR)/pcp.Po \
	./$(DEPDIR)/pref.Po ./$(DEPDIR)/rfc2646html.Po \
	./$(DEPDIR)/sqconfig.Po ./$(DEPDIR)/sqispell.Po \
	./$(DEPDIR)/sqwebmail.Po ./$(DEPDIR)/token.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -I/home/vpopmail/include -g -O2 -Wall -I.. -I./..
DIST_SOURCES = $(sqwebmail_SOURCES)
DATA = $(noinst_DATA) $(sysconf_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = ../depcomp ../install-sh ../missing ../mkinstalldirs \
	ChangeLog Makefile.am Makefile.in TODO aclocal.m4 \
	cleancache.pl.in config.h.in configure configure.in \
	sendit.sh.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(sqwebmail_SOURCES)

all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
sendit.sh: $(top_builddir)/config.status sendit.sh.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
cleancache.pl: $(top_builddir)/config.status cleancache.pl.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
sqwebmail$(EXEEXT): $(sqwebmail_OBJECTS) $(sqwebmail_DEPENDENCIES) 
	@rm -f sqwebmail$(EXEEXT)
	$(LINK) $(sqwebmail_LDFLAGS) $(sqwebmail_OBJECTS) $(sqwebmail_LDADD) $(LIBS)
scriptSCRIPT_INSTALL = $(INSTALL_SCRIPT)
install-scriptSCRIPTS: $(script_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(scriptdir)
	@list='$(script_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(scriptSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(scriptdir)/$$f"; \
	    $(scriptSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(scriptdir)/$$f; \
	  else :; fi; \
	done

uninstall-scriptSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(script_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f $(DESTDIR)$(scriptdir)/$$f"; \
	  rm -f $(DESTDIR)$(scriptdir)/$$f; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/addressbook.Po
include ./$(DEPDIR)/args.Po
include ./$(DEPDIR)/attachments.Po
include ./$(DEPDIR)/auth.Po
include ./$(DEPDIR)/autoresponse.Po
include ./$(DEPDIR)/buf.Po
include ./$(DEPDIR)/filter.Po
include ./$(DEPDIR)/folder.Po
include ./$(DEPDIR)/gpg.Po
include ./$(DEPDIR)/html.Po
include ./$(DEPDIR)/ispell.Po
include ./$(DEPDIR)/ldaplist.Po
include ./$(DEPDIR)/maildir.Po
include ./$(DEPDIR)/mailfilter.Po
include ./$(DEPDIR)/mailinglist.Po
include ./$(DEPDIR)/newmsg.Po
include ./$(DEPDIR)/newmsg_create.Po
include ./$(DEPDIR)/newmsg_newdraft.Po
include ./$(DEPDIR)/pcp.Po
include ./$(DEPDIR)/pref.Po
include ./$(DEPDIR)/rfc2646html.Po
include ./$(DEPDIR)/sqconfig.Po
include ./$(DEPDIR)/sqispell.Po
include ./$(DEPDIR)/sqwebmail.Po
include ./$(DEPDIR)/token.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
	@echo Compiling $< ; source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	@echo Compiling $< ; source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `cygpath -w $<`
CCDEPMODE = depmode=gcc3
uninstall-info-am:
sysconfDATA_INSTALL = $(INSTALL_DATA)
install-sysconfDATA: $(sysconf_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sysconfdir)
	@list='$(sysconf_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(sysconfDATA_INSTALL) $$d$$p $(DESTDIR)$(sysconfdir)/$$f"; \
	  $(sysconfDATA_INSTALL) $$d$$p $(DESTDIR)$(sysconfdir)/$$f; \
	done

uninstall-sysconfDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(sysconf_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(sysconfdir)/$$f"; \
	  rm -f $(DESTDIR)$(sysconfdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/. $(distdir)/..
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	$(am__remove_distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
	      || { echo "ERROR: files left after uninstall:" ; \
	           find $$dc_install_base -type f -print ; \
	           exit 1; } >&2 ) \
	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
	  && rm -f $(distdir).tar.gz \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
distcleancheck: distclean
	if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA) config.h
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(scriptdir) $(DESTDIR)$(sysconfdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-data-local install-scriptSCRIPTS

install-exec-am: install-sysconfDATA

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf autom4te.cache
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

uninstall-am: uninstall-info-am uninstall-scriptSCRIPTS \
	uninstall-sysconfDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-noinstPROGRAMS clean-recursive dist \
	dist-all dist-gzip distcheck distclean distclean-compile \
	distclean-depend distclean-generic distclean-hdr \
	distclean-recursive distclean-tags distcleancheck distdir dvi \
	dvi-am dvi-recursive info info-am info-recursive install \
	install-am install-data install-data-am install-data-local \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-man install-recursive \
	install-scriptSCRIPTS install-strip install-sysconfDATA \
	installcheck installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-recursive tags tags-recursive \
	uninstall uninstall-am uninstall-info-am \
	uninstall-info-recursive uninstall-recursive \
	uninstall-scriptSCRIPTS uninstall-sysconfDATA




SECURITY: SECURITY.html
	rm -f SECURITY
	$(HTML2TXT) $(srcdir)/SECURITY.html >SECURITY

BUGS: BUGS.html
	rm -f BUGS
	$(HTML2TXT) $(srcdir)/BUGS.html >BUGS

TODO: TODO.html
	rm -f TODO
	$(HTML2TXT) $(srcdir)/TODO.html >TODO

install-perms:
	@$(MAKE) install-perms-recursive
	@$(MAKE) install-perms-local

install-perms-recursive:
	@>permissions.dat
	@SUBDIRS="$(SUBDIRS)" ; for f in $$SUBDIRS ; do ( cd $$f && $(MAKE) $(AM_MAKEFLAGS) install-perms ) ; cat /dev/null >>$$f/permissions.dat ; cat $$f/permissions.dat >>permissions.dat ; done

install-perms-local: install-perms-cache
	@echo "$(scriptdir)/webgpg 755 bin bin" >>permissions.dat
	@echo "$(scriptdir)/sendit.sh 755 bin bin" >>permissions.dat
	@echo "$(scriptdir)/ldapsearch 755 bin bin" >>permissions.dat
	@echo "$(sysconfdir)/ldapaddressbook.dist 644 root bin config" >>permissions.dat

htmllibdir.h: config.status
	echo '#define HTMLLIBDIR "/usr/local/share/sqwebmail/html"' >htmllibdir.h
	echo '#define SENDITSH "$(scriptdir)/sendit.sh"' >>htmllibdir.h
	echo '#define NOCHANGINGFROM "$(sysconfdir)/nochangingfrom"' >>htmllibdir.h
	echo '#define USEXSENDER "$(sysconfdir)/usexsender"' >>htmllibdir.h
	echo '#define CALENDARMODE "$(sysconfdir)/calendarmode"' >>htmllibdir.h
	echo '#define LOGINDOMAINLIST "$(sysconfdir)/logindomainlist"' >>htmllibdir.h
	echo '#define MAXMSGSIZE 2097152' >>htmllibdir.h
	echo '#define IMGPATH "/webmail"' >>htmllibdir.h
	echo '#define NODSN "$(sysconfdir)/nodsn"' >>htmllibdir.h
	if test -d $(srcdir)/../courier \
		; then \
		echo '#define HOSTNAMEFILE "$(sysconfdir)/defaultdomain"' >>htmllibdir.h \
		; echo '#define MAKEMIME "$(bindir)/makemime"' >>htmllibdir.h \
		; echo '#define MIMEGPG "$(bindir)/mimegpg"' >>htmllibdir.h \
		; else \
		echo '#define HOSTNAMEFILE "$(sysconfdir)/hostname"' >>htmllibdir.h \
		; echo '#define MAKEMIME "$(pkglibexecdir)/makemime"' >>htmllibdir.h \
		; echo '#define MIMEGPG "$(pkglibexecdir)/mimegpg"' >>htmllibdir.h \
		; fi
	echo '#define LDAPADDRESSBOOK "$(sysconfdir)/ldapaddressbook"' >>htmllibdir.h
	echo '#define LDAPSEARCH "$(scriptdir)/ldapsearch"' >>htmllibdir.h
	echo '#define MODULEFILE "$(sysconfdir)/authmodulelist"' >>htmllibdir.h
	echo '#define NOIMAGES "$(sysconfdir)/noimages"' >>htmllibdir.h

ldapsearch: ../ldapaddressbook/ldapsearch
	cp ../ldapaddressbook/ldapsearch .

webgpg: ../gpglib/webgpg
	cp ../gpglib/webgpg .

ldapaddressbook.dist: ../ldapaddressbook/ldapaddressbook.dist
	cp $(srcdir)/../ldapaddressbook/ldapaddressbook.dist .

install-data-local: cache-reminder

configure-check:
	@echo "URL to the image directory is /webmail"

install-perms-cache:
	@echo "$(scriptdir)/cleancache.pl 755 bin bin" >>permissions.dat
	@echo "/var/cache/sqwebmail 700 bin bin" >>permissions.dat

cache-reminder:
	-$(mkinstalldirs) $(DESTDIR)/var/cache/sqwebmail
	test -w /etc || exit 0; chown bin $(DESTDIR)/var/cache/sqwebmail
	@rm -f cron.cmd
	@echo '#! /bin/sh' >cron.cmd
	@echo 'su -p -c "$(scriptdir)/cleancache.pl" bin' >>cron.cmd
	@chmod 555 cron.cmd
	@cp /dev/null sqwebmail.msg
	@echo '-----------------------------------------------------------' >>sqwebmail.msg
	@echo 'You must now create the following cron job that runs at' >>sqwebmail.msg
	@echo 'regular intervals:' >>sqwebmail.msg
	@echo '' >>sqwebmail.msg
	@echo 'su -c "$(scriptdir)/cleancache.pl" bin' >>sqwebmail.msg
	@echo '' >>sqwebmail.msg
	@echo '-----------------------------------------------------------' >>sqwebmail.msg
	@echo '(note - your su command may use slightly different arguments)' >>sqwebmail.msg
	@echo '' >>sqwebmail.msg
	@echo '' >>sqwebmail.msg
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
